Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2999 - rpmrc provides lines are misdocumented
Summary: rpmrc provides lines are misdocumented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-24 08:20 UTC by Nigel Metheringham
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-26 00:19:31 UTC


Attachments (Terms of Use)

Description Nigel Metheringham 1999-05-24 08:20:33 UTC
If building rpm for a non-RH system you need to load
the rpmrc with dependancy data of the host OS.  This is
documented in the INSTALL file in the source:-

> You may add as many "provides: " lines as you like
> to /etc/rpmrc/ but they can not be continued.
> Each line is limited to 8K bytes.

rpm v3.0 only uses the last "provides:" line in the rpmrc.

Although this is only a documentation bug, the documented
behaviour of rpm would be considerably more sensible.

Comment 1 Jeff Johnson 1999-05-24 15:50:59 UTC
Yes.

Comment 2 Jeff Johnson 1999-05-26 00:19:59 UTC
Fixed in rpm-3.0.2-0.1. You might also look at writing specfiles
for one or more packages with virtual provides, as in
	Name: vpkg1
	Version: 1.0
	Release:
	Provides: /bin/sh
	...
which IMHO is an easier way to manage the same problem. Unlike
using %ghost, doing "rpm -e ..." removes just the provides w/o
removing the files that are provided.


Note You need to log in before you can comment on or make changes to this bug.